This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293603 - [RFE] [hosed-engine-setup] Allow setting engine's FQDN only when it's actually needed.
[RFE] [hosed-engine-setup] Allow setting engine's FQDN only when it's actuall...
Status: CLOSED NOTABUG
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: RFEs (Show other bugs)
1.3.1.3
x86_64 Linux
unspecified Severity low (vote)
: ---
: ---
Assigned To: Sandro Bonazzola
Nikolai Sednev
https://bugzilla.redhat.com/show_bug....
integration
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 06:18 EST by Nikolai Sednev
Modified: 2016-02-18 09:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-23 05:14:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Nikolai Sednev 2015-12-22 06:18:38 EST
Description of problem:
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1099911.

[RFE] [hosed-engine-setup] Allow setting engine's FQDN only when it's actually needed.

[ ERROR ] Failed to execute stage 'Closing up': The host name "hosted_engine.some.domain.com" contained in the URL doesn't match any of the names in the server certificate.


Version-Release number of selected component (if applicable):
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.9.x86_64
ovirt-hosted-engine-ha-1.1.2-4.el6ev.noarch
sanlock-2.8-1.el6.x86_64
libvirt-0.10.2-29.el6_5.7.x86_64
vdsm-4.14.7-3.el6ev.x86_64


engine:
rhevm-3.4.0-0.21.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1.ovirt-hosted-engine --deploy and then install via pxe rhel6.5 and yum update -y to latest and yum install rhevm.
2.rhevm-setup and get running engine.
3.enter to UI via given IP address of engine.
4.continue with the ovirt-hosted-engine deploy, while receiving "[ ERROR ] Failed to execute stage 'Closing up': The host name "hosted_engine.some.domain.com" contained in the URL doesn't match any of the names in the server certificate."

Actual results:
ovirt-hosted-engine --deploy fails eventually with "[ ERROR ] Failed to execute stage 'Closing up': The host name "hosted_engine.some.domain.com" contained in the URL doesn't match any of the names in the server certificate."

Expected results:
Should finish without errors.

Additional info:
Comment 1 Sandro Bonazzola 2015-12-23 05:14:44 EST
we're not going to move the configuration of hosted engine out of the customization stage of OTOPI.
In your procedure:

> Steps to Reproduce:
> 1.ovirt-hosted-engine --deploy and then install via pxe rhel6.5 and yum update -y to latest and yum install rhevm.

Here you miss to set the FQDN of the provisioned VM with the FQDN you set during configuration stage of hosted-engine.

> 2.rhevm-setup and get running engine.
> 3.enter to UI via given IP address of engine.
> 4.continue with the ovirt-hosted-engine deploy, while receiving "[ ERROR ]
Comment 2 Yedidyah Bar David 2015-12-23 05:42:07 EST
Sandro, I think this bug is useful to fix.

At least in our environment, and I suspect in many others, there are systems set up so that you can automatically install an OS from PXE, get from dhcp both a name and IP address, and this name will already be setup in the DNS to point at the IP address. If you want to rely on such a system to ease your dev/qe/whatever work, and do not mind much about the actual name you'll get based on what address dhcpd decided to give you, you want to be able to provide the name you actually got after OS install at that point, and not before you started the OS install.

Obviously not high priority, and I agree it breaks our current notion of host hosted-engine deploy should work, but we already do ask questions at such late stages - e.g. re the DC (or cluster) name to add the engine to. So I'd say it's not a drastic change.
Comment 3 Sandro Bonazzola 2016-02-18 05:48:52 EST
If you want to use different naming than the one provided by DNS/DHCP you still can change /etc/hosts (run dnsmasq locally so it will load from /etc/hosts and change resolv.conf to use that), no?
Comment 4 Yedidyah Bar David 2016-02-18 09:45:28 EST
(In reply to Sandro Bonazzola from comment #3)
> If you want to use different naming than the one provided by DNS/DHCP you
> still can change /etc/hosts (run dnsmasq locally so it will load from
> /etc/hosts and change resolv.conf to use that), no?

Yes, but that's not the point.

What I personally do is enter the fqdn I want to use, and add this name to the local /etc/hosts with a fake IP address. After I finish installing the OS, I check what ip address it got from dhcp, and put this in /etc/hosts.

I guess that's a good enough workaround, so leaving closed.

Note You need to log in before you can comment on or make changes to this bug.